> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rastemplateversionstatus.md).

# Get-RASTemplateVersionStatus

### NAME

Get-RASTemplateVersionStatus\ <br>

### SYNOPSIS

Retrieves the Status information of one or more Template Versions.\ <br>

### SYNTAX

Get-RASTemplateVersionStatus -[ObjType](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/cmdlets/Get-RASTemplateVersionStatus.html#ObjType) {VDITemplateVersion | RDSTemplateVersion | AVDTemplateVersion} -[TemplateId](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/cmdlets/Get-RASTemplateVersionStatus.html#TemplateId) *\<uint>* \[-[Id](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/cmdlets/Get-RASTemplateVersionStatus.html#Id) *\<uint>*] \[*<*[*CommonParameters*](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/cmdlets/Get-RASTemplateVersionStatus.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves the Status information of one or more Template Versions.\ <br>

### PARAMETERS

\
-**Id \<uint>**\
The Version Id of the Template Version Status to retrieve.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**TemplateId \<uint>**\
The Id of the Template from which to retrieve the Version Status(es).\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ObjType <**[**TemplateVersionObjType**](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/types/TemplateVersionObjType.html)**>**\
The Template type of which to retrieve the Template Version Status(es).\
\
Possible values: VDITemplateVersion, RDSTemplateVersion, AVDTemplateVersion\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[TemplateVersionStatus](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/types/TemplateVersionStatus.html)

### EXAMPLES

\
**---------- EXAMPLE 1 ----------**\
\
Get-RASTemplateVersionStatus -ObjType RDSTemplate -TemplateId 1107544675\
\
Retrieves the Status information of all Versions found within the specified RDS Template.\
**---------- EXAMPLE 2 ----------**\
\
Get-RASTemplateVersionStatus -ObjType AVDTemplate -TemplateId 1107548564 -Id 2\
\
Retrieves the Status information of the specified Version from the specified AVD Template.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rastemplateversionstatus.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
